[top]
components : WSN

[WSN]
type : cell
dim : (11, 11,2)
delay : transport
defaultDelayTime : 1000
border : nowrapped 
neighbors : WSN(-1,-1,0) WSN(-1,0,0) WSN(-1,1,0) 
neighbors : WSN(0,-1,0)  WSN(0,0,0)  WSN(0,1,0)
neighbors : WSN(1,-1,0)  WSN(1,0,0)  WSN(1,1,0)
neighbors : WSN(0,0,1) WSN(0,0,-1)

initialvalue : 0
initialCellsValue : WSN.val
localtransition : WSN-rule

zone : TL-rule { (0,0,0) }
zone : TC-rule { (0,1,0)..(0,9,0) }
zone : TR-rule { (0,10,0) }
zone : Left-rule { (1,0,0)..(9,0,0) }
zone : Right-rule { (1,10,0)..(9,10,0) }
zone : BL-rule { (10,0,0) }
zone : BR-rule { (10,10,0) }
zone : BC-rule { (10,1,0)..(10,9,0) } 

%********************************************************************************

[WSN-rule]
rule : { (0,0,0) - 0.0165 } 1000 {cellpos(2) = 1 and (0,0,0)> 0 and (0,0,-1) = 2}
rule : { (0,0,0) - 0.00006 } 1000 {cellpos(2) = 1 and (0,0,0)> 0 and (0,0,-1) > 0 }
rule : 2 1000 {cellpos(2)=0 and (0,0,0) !=0 and (0,0,1) > 0 and 
(0,-1,0)!=2 and (1,-1,0)!=2 and (1,0,0)!=2 and (1,1,0)!=2 
}
rule : 1 1000 {cellpos(2)=0 and (0,0,1)>0 and
 ( 
  (0,-1,0)=2 or (1,-1,0)=2 or (1,0,0)=2 or (0,1,0)=2 or (1,1,0)=2  
 )
}
rule : 0 1000 {cellpos(2)=0  and (0,0,1) <= 0 }
rule : -1 1000 { t } 

%********************************************************************************

[TL-rule]
rule : 2 1000 {cellpos(2)=0 and (0,0,0) !=0 and (0,0,1) > 0 and 
(1,0,0)!=2 and (0,1,0)!=2 and (1,1,0)!=2 }
rule : 1 1000 {cellpos(2)=0 and (0,0,0) !=0 and ((1,0,0)=2 or (0,1,0)=2 or (1,1,0)=2)}
rule : 0 1000 {cellpos(2)=0  and (0,0,1) <= 0}
rule : 0.8 1000 {cellpos(2)=1 and (0,0,0)= -1 }
rule : -10 1000 { t}

%********************************************************************************

[Left-rule]
rule : 2 1000 {cellpos(2)=0 and 
(0,0,0) !=0 and (0,0,1) > 0 and (-1,0,0)!=2 and (-1,1,0) !=2 and (0,1,0)!=2 and (1,1,0)!=2 
}

rule : 1 1000 {cellpos(2)=0 and (0,0,0) !=0 and  
((-1,0,0)=2 or (-1,1,0)=2 or (0,1,0)=2 or (1,1,0)=2 or (1,0,0)=2) }
rule : 0 1000 {cellpos(2)=0  and (0,0,1) <= 0}
rule : 0.8 1000 {cellpos(2)=1 and (0,0,0)= -1 }
rule : -20 1000 { t}

%********************************************************************************

[BL-rule]
rule : 2 1000 { (0,0,0) !=0 and (0,0,1) > 0 and
((-1,0,0) !=2 and (0,1,0)!=2) and (-1,1,0)!=2
}
rule : 1 1000 { (0,0,0) !=0 and ((-1,0,0)=2 or (0,1,0)=2 or (-1,1,0)=2)}
rule : 0 1000 {cellpos(2)=0  and (0,0,1) <= 0}
rule : 0.8 1000 {cellpos(2)=1 and (0,0,0)= -1 }
rule : -30 1000 { t }

%********************************************************************************

[TC-rule]
rule : 2 1000 {cellpos(2)=0 and (0,0,0) !=0 and (0,0,1) > 0 and (0,-1,0)=0 }
rule : 2 1000 {cellpos(2)=0 and (0,0,0) !=0 and (0,0,1) > 0 and (0,1,0)=0 }

rule : 2 1000 {cellpos(2)=0 and (0,0,0) !=0 and (0,0,1) > 0 and
((0,-1,0)!=2 and (1,-1,0)!=2 and (1,0,0)!=2 and (1,1,0)!=2)
}
rule : 1 1000 {cellpos(2)=0 and (0,0,0) !=0 and (0,0,1)>0 and
((0,-1,0)=2 or (1,-1,0)=2 or (1,0,0)=2 or (0,1,0)=2 or (1,1,0)=2)}
rule : 0 1000 {cellpos(2)=0  and (0,0,1) <= 0}
rule : 0.8 1000 {cellpos(2)=1 and (0,0,0)= -1 }
rule : -40 1000 { t }

%********************************************************************************

[TR-rule]
rule : 2 1000 {cellpos(2)=0 and (0,0,0) !=0 and (0,0,1) > 0 and
((0,-1,0)!=2 and (1,0,0)!=2) and (1,-1,0)!=2 }
rule : 1 1000 {cellpos(2)=0 and (0,0,0) !=0 and ((0,-1,0)=2 or (1,-1,0)=2 or (1,0,0)=2)}
rule : 0 1000 {cellpos(2)=0  and (0,0,1) <= 0}
rule : 0.8 1000 {cellpos(2)=1 and (0,0,0)= -1 }
rule : -50 1000 { t }

%********************************************************************************

[Right-rule]
rule : 2 1000 {cellpos(2)=0 and 
(0,0,0) !=0 and (0,0,1) > 0 and (-1,0,0)!=2  and (-1,-1,0)!=2 and 
(0,-1,0)!=2 and (1,-1,0)!=2
}
rule : 1 1000 {cellpos(2)=0 and (0,0,0) !=0 and 
((-1,0,0)=2  or (-1,-1,0)=2 or (0,-1,0)=2 or (1,-1,0)=2 or (1,0,0)=2 or (-1,1,0)=2)}
rule : 0 1000 {cellpos(2)=0  and (0,0,1) <= 0}
rule : 0.8 1000 {cellpos(2)=1 and (0,0,0)= -1 }
rule : -60 1000 { t}

%********************************************************************************

[BR-rule]
rule : 2 1000 {cellpos(2)=0 and (0,0,0) !=0 and (0,0,1) > 0 and
((-1,0,0)!=2 and (0,-1,0)!=2) and (-1,-1,0)!=2  
}
rule : 1 1000 { (0,0,0) !=0 and ((-1,0,0)=2 and (-1,-1,0)=2 and (0,-1,0)=2) }
rule : 0 1000 {cellpos(2)=0  and (0,0,1) <= 0 }
rule : 0.8 1000 {cellpos(2)=1 and (0,0,0)= -1 }
rule : -70 1000 { t }

%********************************************************************************

[BC-rule]
rule : 2 1000 {cellpos(2)=0 and (0,0,0) !=0 and (0,0,1) > 0 and (0,-1,0)=0 }
rule : 2 1000 {cellpos(2)=0 and (0,0,0) !=0 and (0,0,1) > 0 and (0,1,0)=0 }
rule : 2 1000 {cellpos(2)=0 and (0,0,0) !=0 and (0,0,1) > 0 and
(-1,0,0)!=2 and (-1,1,0)!=2 and (-1,-1,0)!=2 and (0,1,0)!=2 
}
rule : 1 1000 {cellpos(2)=0 and (0,0,0) !=0 and
((-1,0,0)=2 or (-1,1,0)=2 or (0,1,0)=2 or (0,-1,0)=2 or (-1,-1,0)=2)}
rule : 0 1000 {cellpos(2)=0  and (0,0,1) <= 0}
rule : 0.8 1000 {cellpos(2)=1 and (0,0,0)= -1 }
rule : -80 1000 { t }

%********************************************************************************
